function X = Asing(beta, A,B)
%GCP potential for a pseudospherical surface with singularity
%beta, A and B are all function handles. 

X=@(t)(1i/2)*[0, -B(t), -beta(t)/2, A(t), 0, 0;  0, 0, -B(t), beta(t)/2, A(t), 0];

end

